#
#      YDN23 Model Map Configuration File, Version 1.00
#                All rights reserved.
#    Copyright (c) 2021, Vertiv Tech Co., Ltd.
#

#Standard mandatory section
[CONFIG_INFORMATION]
# CfgName	CfgVersion	CfgDate		CfgEngineer		CfgDescription
ModbusModelMapCfg	1.00		2006.04.16	HanTao			Modbus Model Map cfg file for NSC3

#1. Define the map entries
#SCU+ model signal type includes: SP(sampling signal) C(control) ST(setting signal) A(alarm signal)
#YDN23 model signal type refers to AI/AO/DI/DO/DataF/Def
#All ports of AI/AO/DI/DO should be listed, if ACU model do not support certain signals, fill NA. 
#SP signal   Flag0: basic Value  Flag1: Coeff  Output Value = Value *Coeff +Basic Value      eg: temp = 40, output value = 40*10+32000=32400

[MAPENTRIES_INFO_MAP]
#No.	Type Description		SCU+ StdEquipType ID	SCU+ model signal type	Signal ID	Flag0	Flag1	Flag2
#System sample
0	System Voltage			100			SP			1		0	10	NA
1	System Load(High)		100			SP			2		1000000	10	NA
2	System Load(Low)		100			SP			2		1000000	10	NA
3	System Power			100			SP			3		0	10	NA
4	System Power Consumption(High)	100			SP			4		1000000	1	NA
5	System Power Consumption(Low)	100			SP			4		1000000	1	NA
6	Power Peak In 24 Hours		100			SP			5		0	10	NA
7	Average Power in 24 Hours	100			SP			6		0	10	NA
8	Ambient Temperature		100			SP			69		32000	10	NA
#System Alarm
9	SystemAlarm1			100			A			-1		0	0	-1/156/157/152/151
10	SystemAlarm2			100			A			-1		0	0	154/169/1/-1/-1
11	SystemAlarm3			100			A			-1		0	0	171/170/10/-1/-1
12	SystemAlarm4			100			A			-1		0	0	2/11/16/-1/-1
13	SystemAlarm5			100			A			-1		0	0	172/173/174/-1/-1
14	SystemAlarm6			100			A			-1		0	0	175/176/177/-1/-1
15	SystemAlarm7			100			A			-1		0	0	178/179/-1/-1/-1
#System Settings
16	System Voltage Set point 	300			ST			16		0	10	NA
17	Under voltage 1 level 		100			ST			189		0	10	NA
18	Under voltage 2 level 		100			ST			190		0	10	NA
19	Over voltage level 		100			ST			187		0	10	NA
20	High Ambient Temperature Limit 	100			ST			209		32000	10	NA
21	Low Ambient Temperature Limit 	100			ST			210		32000	10	NA

#Battery Group Analogy
22	Voltage				300			SP			1		0	10	NA
23	Current(high)			300			SP			2		1000000	10	NA
24	Current(Low)			300			SP			2		1000000	10	NA
25	Temperature			300			SP			36		32000	10	NA

#Battery Group Alarm
26	Battery Group Alarm1		300			A			0		0	0	24/21/7/-1/-1
27	Battery Group Alarm2		300			A			0		0	0	5/6/13/-1/-1
28	Battery Group Alarm3		300			A			0		0	0	11/12/16/-1/-1
29	Battery Group Alarm4		300			A			0		0	0	28/26/25/-1/-1
30	Battery Group Alarm5		300			A			0		0	0	27/11/-1/-1/-1

#Battery Group settings
31	Very High Battery Temp Limit	300			ST			76		32000	10	NA
32	High Battery Temp Limit		300			ST			77		32000	10	NA
33	Low Battery Temp Limit		300			ST			78		32000	10	NA
34	Very High Battery Temp Limit Output volt		300			ST			68		0	10	NA
35	Battery Current Limit		300			ST			29		0	100	NA
36	Battery Boost Charge Voltage	300			ST			17		0	10	NA
37	Cyclic Charge Time		300			ST			26		0	1	NA
38	Cyclic Charge Interval		300			ST			25		0	1	NA
39	Battery Test Voltage Level	300			ST			46		0	10	NA
40	Battery Test End Voltage	300			ST			6		0	10	NA 
41	Used Capacity Limit		300			ST			7		0	10	NA
42	Number of Schedule Test per year		300			ST			47		0	1	NA
43	Battery Test Time		300			ST			5		0	1	NA
44	Nominal Battery Temperature	300			ST			27		32000	10	NA
45	Battery Cell Factor		300			ST			28		0	10	NA
46	Equalizing Charge Current	300			ST			22		0	1000	NA
47	Equalizing charge Capcity	300			ST			23		0	10	NA
48	Stable Battery Charge Delay	300			ST			20		0	1	NA
49	Boost charge current tail	300			ST			19		0	1000	NA

#Battery Analogy
50	Battery1 Voltage		301			SP			1		0	10	NA
51	Battery1 current(High)		301			SP			2		1000000	10	NA
52	Battery1 current(Low)		301			SP			2		1000000	10	NA
53	Battery1 capacity		301			SP			4		0	10	NA
#Battery settings
54	Battery1 Rated Capacity		301			ST			10		0	1	NA

#Rectifier Group Analogy
650	Voltage				200			SP			2		0	10	NA
651	Current				200			SP			1		1000000	10	NA
652	Current				200			SP			1		1000000	10	NA
653	Used Capacity			200			SP			3		0	10	NA
654	Min Used Capacity		200			SP			5		0	10	NA
655	Max Used Capacity		200			SP			4		0	10	NA
656	Number of rectifiers		200			SP			8		0	1	NA
657	AC Phases			200			SP			24		0	1	NA

#Rectifier Group Alarm
658	Rectifier Group Alarm		200			A			-1		0	0	2/3/4/-1/-1

#Rectifier Group Settings
659	Walk-In with Load time		200			ST			7		0	1	NA
660	Input current limit		200			ST			33		0	10	NA
661	Reset Rectifier Lost		200			C			15		0	1	NA
662	Walk-in feature on/off		200			ST			8		0	1	NA

#Rectifier Analogy
663	Rectifier1 Output Voltage	201			SP			2		0	10	NA
664	Rectifier1 Output Current	201			SP			7		0	10	NA
665	Rectifier1 Line VoltageAB	201			SP			31		0	10	NA
666	Rectifier1 Line VoltageBC	201			SP			32		0	10	NA
667	Rectifier1 Line VoltageCA	201			SP			33		0	10	NA
668	Rectifier1 Input AC voltage	201			SP			6		0	10	NA

#Rectifier State & Alarm
669	Rectifier1 state and Alarm1	201			A			1		0	0	3/1/4/-1/-1
670	Rectifier1 state and Alarm2	201			A			1		0	0	2/7/9/-1/-1
671	Rectifier1 state and Alarm3	201			A			1		0	0	12/6/-1/-1/-1

#DC Analogy
1743	DC Voltage			500			SP			2		0	10	NA
1744	Total Load Current(High)	500			SP			1		1000000	10	NA
1745	Total Load Current(Low)		500			SP			1		1000000	10	NA

#AC Analogy
1746	Main Voltage, Phase 1-2		701			SP			4		0	10	NA
1747	Main Voltage, Phase 2-3		701			SP			5		0	10	NA
1748	Main Voltage, Phase 1-3		701			SP			6		0	10	NA
1749	Voltage, Phase 1		701			SP			1		0	10	NA
1750	Voltage, Phase 2		701			SP			2		0	10	NA
1751	Voltage, Phase 3		701			SP			3		0	10	NA

#AC Alarm
1752	AC Alarm1			701			A			0		0	0	2/3/4/-1/-1
1753	AC Alarm2			701			A			0		0	0	5/6/7/-1/-1
1754	AC Alarm3			701			A			0		0	0	8/9/10/-1/-1
1755	AC Alarm4			701			A			0		0	0	11/12/13/-1/-1
1756	AC Alarm5			701			A			0		0	0	26/14/15/-1/-1
1757	AC Alarm6			701			A			0		0	0	16/17/18/-1/-1
1758	AC Alarm7			701			A			0		0	0	19/20/21/-1/-1
1759	AC Alarm8			701			A			0		0	0	22/23/24/-1/-1
1760	AC Alarm9			701			A			0		0	0	25/-1/-1/-1/-1

#Slave1 Rectifier Analogy
1761	Rectifier1 Output Voltage	1601			SP			2		0	10	NA
1762	Rectifier1 Output Current	1601			SP			7		0	10	NA
1763	Rectifier1 Line VoltageAB	1601			SP			31		0	10	NA
1764	Rectifier1 Line VoltageBC	1601			SP			32		0	10	NA
1765	Rectifier1 Line VoltageCA	1601			SP			33		0	10	NA
1766	Rectifier1 Input AC voltage	1601			SP			6		0	10	NA

#Slave1 Rectifier State & Alarm
1767	Rectifier1 state and Alarm1	1601			A			1		0	0	3/1/4/-1/-1
1768	Rectifier1 state and Alarm2	1601			A			1		0	0	2/7/9/-1/-1
1769	Rectifier1 state and Alarm3	1601			A			1		0	0	12/6/-1/-1/-1

#Slave2 Rectifier Analogy
2301	Rectifier1 Output Voltage	1701			SP			2		0	10	NA
2302	Rectifier1 Output Current	1701			SP			7		0	10	NA
2303	Rectifier1 Line VoltageAB	1701			SP			31		0	10	NA
2304	Rectifier1 Line VoltageBC	1701			SP			32		0	10	NA
2305	Rectifier1 Line VoltageCA	1701			SP			33		0	10	NA
2306	Rectifier1 Input AC voltage	1701			SP			6		0	10	NA

#Slave2 Rectifier State & Alarm
2307	Rectifier1 state and Alarm1	1701			A			1		0	0	3/1/4/-1/-1
2308	Rectifier1 state and Alarm2	1701			A			1		0	0	2/7/9/-1/-1
2309	Rectifier1 state and Alarm3	1701			A			1		0	0	12/6/-1/-1/-1

#Slave3 Rectifier Analogy
2841	Rectifier1 Output Voltage	1801			SP			2		0	10	NA
2842	Rectifier1 Output Current	1801			SP			7		0	10	NA
2843	Rectifier1 Line VoltageAB	1801			SP			31		0	10	NA
2844	Rectifier1 Line VoltageBC	1801			SP			32		0	10	NA
2845	Rectifier1 Line VoltageCA	1801			SP			33		0	10	NA
2846	Rectifier1 Input AC voltage	1801			SP			6		0	10	NA

#Slave3 Rectifier State & Alarm
2847	Rectifier1 state and Alarm1	1801			A			1		0	0	3/1/4/-1/-1
2848	Rectifier1 state and Alarm2	1801			A			1		0	0	2/7/9/-1/-1
2849	Rectifier1 state and Alarm3	1801			A			1		0	0	12/6/-1/-1/-1

# [CFG_SPECIAL_PRO_FLAG]  cfg  special process flag for public use ,.each  designer can change the flag value range from A to Z  to define  his own  special process Verson
#A~Z            
#  value description
#	A:original value ,do not need special process
#	B:add by rao liang 2017/4/13  for one modbus address can send at most  16 alarms . alarm format:175/176/177/178/179/15/-1/-1/-1/-1/-1/-1/-1/-1/-1/-1	
#	C:add by rao liang 2017/4/13 V.2.17 Modbus for support cmd FC 02/FC 04 to query Discrete Address and  64 bit data (one data four registers)
[CFG_SPECIAL_PRO_FLAG]
C
################################## extension of configuration file ####################################
#EXT_TYPE_MAP_INFO:
#the extension of modbus model map, it is a optional part for adding new quipments more conveniently.
#if we don't want any extension, we can delete the table.
#if [EXT_TYPE_MAP_INFO] is exist, [MAPENTRIES_INFO_MAP] will become invalid.
#because [EXT_TYPE_MAP_INFO] has the same function as [MAPENTRIES_INFO_MAP].
#Index:
#the index of each item. it should be larger than 0.
#Map Entries ID:
#the table id of [EXT_MAPENTRIES_INFO_MAP%d], for example: 16 is the table "[EXT_MAPENTRIES_INFO_MAP16]"
#it should be larger than 0.
#Reg Start:
#the start address of register table for some equipment
#Reg End:
#the end address of register table for some equipment
#Max Reg Count of Each Equip:
#the max register count of each equipment. If there is only one equipment, we can set it to NA
#for example: For Rectifier Group, it is NA. For Rectifier, it can't be NA.
#Max Equip Number:
#the max equipment number between "Reg Start" and "Reg End". If it is NA, it means the value will be automatically computed.
#For most equipments, it should be NA. It is just used for some special equipments in the future.
#Sequence Number of First Equip:
#sequence number of the first equipment. For one SCU+ StdEquipType, maybe there are many equipments. 
#For example,rectifier SCU+ StdEquipType is 201. If we just want to config a regisiter table item which includes rectifier(30-60),
#the value should be 30.
#SCU+ StdEquipType Start:
#the start equipment type ID. It is defined in BasicStandard.cfg. We can find SCU+ StdEquipType ID of each equipment in MonitoringSolution.cfg.
#It is used for decribing what equipments belong to the register range from "Reg Start" to "Reg End". 
#SCU+ StdEquipType End:
#the end equipment ID. It is defined in BasicStandard.cfg. We can find SCU+ StdEquipType ID of each equipment in MonitoringSolution.cfg.
#It is used for decribing what equipments belong to the register range from "Reg Start" to "Reg End".
#Sepical Process Flag:
#the flag of Sepical Process. Most of equipments are NA.
#the valid values format is: X,X,...X,X
# X is one of these values below, if there are one more X, "," is used to split them:
#		NA, without sepcial process
#		1, skip all non-exist equipments, just packet the exist equipments' data
#		2, limit temperature range, for keeping the same processing as the old register table
#		3, convert non-exist signals, for keeping the same processing as the old register table
#Sepical Process Flag  NA(no special pro) 1(skip not exist equip) 2 (system) 35 (status register)
[EXT_TYPE_MAP_INFO]
#1.Index	2.Description			3.Map Entries ID	4.Reg Start	5.Reg End	6.Max Reg Count of Each Equip	7.Sequence Number of First Equip	8.SCU+ StdEquipType Start	9.SCU+ StdEquipType End		10.Sepical Process Flag
1		System				1			1		22		NA				NA					100				100				2
2		Battery Group			2			23		50		NA				NA					300				300				2
3		Battery(1-120)			3			51		650		5				1					301				399				1,3
4		Rectifier Group			4			651		663		NA				NA					200				200				NA
5		Rectifier(1-120)		5			664		1743		9				1					201				201				1
6		DC				6			1744		1746		NA				NA					500				500				NA
7		AC				7			1747		1761		NA				NA					701				701				NA
8		Slave1 Rectifier(1-60)		8			1762		2301		9				1					1601				1601				1
9		Slave2 Rectifier(1-60)		8			2302		2841		9				1					1701				1701				1
10		Slave3 Rectifier(1-60)		8			2842		3381		9				1					1801				1801				1
11		IB Board			9			3382		3581		NA				NA					100				100				NA
12		Converter Group			10			3582		3681		NA				NA					1100				1100				NA
13		Converter(1-60)			11			3682		4881		20				1					1101				1101				1
14		Solar Converter Group		12			4882		4981		NA				NA					2500				2500				NA
15		Solar Converter(1-60)		13			4982		6181		20				1					2501				2501				1
#the config method about [EXT_MAPENTRIES_INFO_MAPXXX]
#1.No:
#the index of signal. it should be larger than -1. 
#the register address of item equals "4.Reg Start"(in [EXT_TYPE_MAP_INFO]) + "1.No."(in [EXT_MAPENTRIES_INFO_MAPXXX])
#the register address of item should be of the range from "4.Reg Start" to "5.Reg End"
#SCU+ StdEquipType ID:
#the equipment type ID. It is defined in BasicStandard.cfg. We can find SCU+ StdEquipType ID of each equipment in MonitoringSolution.cfg.
#it is "NA" for most signals. but if it is out of the range from "8.SCU+ StdEquipType Start" to "9.SCU+ StdEquipType End", we have to set it.
#SCU+ model signal type:
#SCU+ model signal type, it includes: SP(sampling signal) C(control) ST(setting signal) A(alarm signal)
#Signal ID:
#SCU+ signal ID. it is defined in StdEquip_XXXX.cfg
#Flag0, Flag1, Flag2:
#the flag of signal, it is used to describe how to compute the register value.
#For SP/C/ST type signals, Flag0: basic Value  Flag1: Coeff  Output Value = Value *Coeff +Basic Value      eg: temp = 40, output value = 40*10+32000=32400
#if Flag0 is 1000000, it means we use two registers to store a signal value. eg:System Load(High), System Load(Low). because the max value of one register is 65535
#For A(Alarm) type signals, Flag2 is used to describe which signals need to be queried. it is with the data format "X1/X2/X3/X4/X5". 
#"XX" is a signal ID or the invalid value "-1". it means the register value maybe store five alarm signal values.
#the bit map of register value is: Reserve(b15,b14), X5(bit13), X4(bit12), X3(bit11,bit10,bit9,bit8), X2(bit7,bit6,bit5,bit4), X1(bit3,bit2,bit1,bit0)
#Alarm Level:00, None; 01, Observation; 10, Major; 11, Critical
#Alarm Value:0, no alarm; 1, with alarm
#for X5, Alarm Value(bit13).
#for X4, Alarm Value(bit12).
#for X3, reserve(bit11),Alarm Level(bit10,bit9),Alarm Value(bit8).
#for X2, reserve(bit7),Alarm Level(bit6,bit5),Alarm Value(bit4).
#for X1, reserve(bit3),Alarm Level(bit2,bit1),Alarm Value(bit0).
#A signal   Flag2: basic Value  Flag1: Coeff  Output Value = Value *Coeff +Basic Value      eg: temp = 40, output value = 40*10+32000=32400
#Access Authority(R/W):
#it includes these values:
#	R, only readable
#	W, both readable and writable


[EXT_MAPENTRIES_INFO_MAP1]
#1.No.	2.Type Description		3.SCU+ StdEquipType ID	4.SCU+ model signal type	5.Signal ID	6.Flag0		7.Flag1		8.Flag2			9.Access Authority(R/W)
#system
#System sample
0	System Voltage			NA			SP				1		0		10		NA			R
1	System Load(High)		NA			SP				2		1000000		10		NA			R
2	System Load(Low)		NA			SP				2		1000000		10		NA			R
3	System Power			NA			SP				3		0		10		NA			R
4	System Power Consumption(High)	NA			SP				4		1000000		1		NA			R
5	System Power Consumption(Low)	NA			SP				4		1000000		1		NA			R
6	Power Peak In 24 Hours		NA			SP				5		0		10		NA			R
7	Average Power in 24 Hours	NA			SP				6		0		10		NA			R
8	Ambient Temperature		NA			SP				69		32000		10		NA			R
#System Alarm
9	SystemAlarm1			NA			A				-1		0		0		-1/156/157/152/151	R
10	SystemAlarm2			NA			A				-1		0		0		154/169/1/-1/-1		R
11	SystemAlarm3			NA			A				-1		0		0		171/170/10/-1/-1	R
12	SystemAlarm4			NA			A				-1		0		0		2/11/16/-1/-1		R
13	SystemAlarm5			NA			A				-1		0		0		172/173/174/-1/-1	R
14	SystemAlarm6			NA			A				-1		0		0		175/176/177/-1/-1	R
15	SystemAlarm7			NA			A				-1		0		0		178/179/-1/-1/-1	R
#System Settings
16	System Voltage Set point 	300			ST				16		0		10		NA			W
17	Under voltage 1 level 		NA			ST				189		0		10		NA			W
18	Under voltage 2 level 		NA			ST				190		0		10		NA			W
19	Over voltage level 		NA			ST				187		0		10		NA			W
20	High Ambient Temperature Limit 	NA			ST				209		32000		10		NA			W
21	Low Ambient Temperature Limit 	NA			ST				210		32000		10		NA			W


[EXT_MAPENTRIES_INFO_MAP2]
#1.No.	2.Type Description		3.SCU+ StdEquipType ID	4.SCU+ model signal type	5.Signal ID	6.Flag0		7.Flag1		8.Flag2			9.Access Authority(R/W)
#Battery Group
#Battery Group Analogy
0	Voltage				NA			SP				1		0		10		NA			R
1	Current(high)			NA			SP				2		1000000		10		NA			R
2	Current(Low)			NA			SP				2		1000000		10		NA			R
3	Temperature			NA			SP				36		32000		10		NA			R
#Battery Group Alarm
4	Battery Group Alarm1		NA			A				0		0		0		24/21/7/-1/-1		R
5	Battery Group Alarm2		NA			A				0		0		0		5/6/13/-1/-1		R
6	Battery Group Alarm3		NA			A				0		0		0		11/12/16/-1/-1		R
7	Battery Group Alarm4		NA			A				0		0		0		28/26/25/-1/-1		R
8	Battery Group Alarm5		NA			A				0		0		0		27/11/-1/-1/-1		R
#Battery Group settings
9	Very High Battery Temp Limit	NA			ST				76		32000		10		NA			W
10	High Battery Temp Limit		NA			ST				77		32000		10		NA			W
11	Low Battery Temp Limit		NA			ST				78		32000		10		NA			W
12	Very High Battery Temp Limit Output volt	NA	ST				68		0		10		NA			W
13	Battery Current Limit		NA			ST				29		0		100		NA			W
14	Battery Boost Charge Voltage	NA			ST				17		0		10		NA			W
15	Cyclic Charge Time		NA			ST				26		0		1		NA			W
16	Cyclic Charge Interval		NA			ST				25		0		1		NA			W
17	Battery Test Voltage Level	NA			ST				46		0		10		NA			W
18	Battery Test End Voltage	NA			ST				6		0		10		NA			W
19	Used Capacity Limit		NA			ST				7		0		10		NA			W
20	Number of Schedule Test per year	NA		ST				47		0		1		NA			W
21	Battery Test Time		NA			ST				5		0		1		NA			W
22	Nominal Battery Temperature	NA			ST				27		32000		10		NA			W
23	Battery Cell Factor		NA			ST				28		0		10		NA			W
24	Equalizing Charge Current	NA			ST				22		0		1000		NA			W
25	Equalizing charge Capcity	NA			ST				23		0		10		NA			W
26	Stable Battery Charge Delay	NA			ST				20		0		1		NA			W
27	Boost charge current tail	NA			ST				19		0		1000		NA			W


[EXT_MAPENTRIES_INFO_MAP3]
#1.No.	2.Type Description		3.SCU+ StdEquipType ID	4.SCU+ model signal type	5.Signal ID	6.Flag0		7.Flag1		8.Flag2			9.Access Authority(R/W)
#Battery
#Battery Analogy
0	Battery Voltage			NA			SP				1		0		10		NA			R
1	Battery current(High)		NA			SP				2		1000000		10		NA			R
2	Battery current(Low)		NA			SP				2		1000000		10		NA			R
3	Battery capacity		NA			SP				4		0		10		NA			R
#Battery settings
4	Battery Rated Capacity		NA			ST				10		0		1		NA			W


[EXT_MAPENTRIES_INFO_MAP4]
#1.No.	2.Type Description		3.SCU+ StdEquipType ID	4.SCU+ model signal type	5.Signal ID	6.Flag0		7.Flag1		8.Flag2			9.Access Authority(R/W)
#Rectifier Group
#Rectifier Group Analogy
0	Voltage				NA			SP				2		0		10		NA			R
1	Current				NA			SP				1		1000000		10		NA			R
2	Current				NA			SP				1		1000000		10		NA			R
3	Used Capacity			NA			SP				3		0		10		NA			R
4	Min Used Capacity		NA			SP				5		0		10		NA			R
5	Max Used Capacity		NA			SP				4		0		10		NA			R
6	Number of rectifiers		NA			SP				8		0		1		NA			R
7	AC Phases			NA			SP				24		0		1		NA			R
#Rectifier Group Alarm
8	Rectifier Group Alarm		NA			A				-1		0		0		2/3/4/-1/-1		R
#Rectifier Group Settings
9	Walk-In with Load time		NA			ST				7		0		1		NA			W
10	Input current limit		NA			ST				33		0		10		NA			W
11	Reset Rectifier Lost		NA			C				15		0		1		NA			W
12	Walk-in feature on/off		NA			ST				8		0		1		NA			W



[EXT_MAPENTRIES_INFO_MAP5]
#1.No.	2.Type Description		3.SCU+ StdEquipType ID	4.SCU+ model signal type	5.Signal ID	6.Flag0		7.Flag1		8.Flag2			9.Access Authority(R/W)
#Rectifier
#Rectifier Analogy
0	Rectifier Output Voltage	NA			SP				2		0		10		NA			R
1	Rectifier Output Current	NA			SP				7		0		10		NA			R
2	Rectifier Line VoltageAB	NA			SP				31		0		10		NA			R
3	Rectifier Line VoltageBC	NA			SP				32		0		10		NA			R
4	Rectifier Line VoltageCA	NA			SP				33		0		10		NA			R
5	Rectifier Input AC voltage	NA			SP				6		0		10		NA			R
#Rectifier State & Alarm
6	Rectifier state and Alarm1	NA			A				1		0		0		3/1/4/-1/-1		R
7	Rectifier state and Alarm2	NA			A				1		0		0		2/7/9/-1/-1		R
8	Rectifier state and Alarm3	NA			A				1		0		0		12/6/-1/-1/-1		R


[EXT_MAPENTRIES_INFO_MAP6]
#1.No.	2.Type Description		3.SCU+ StdEquipType ID	4.SCU+ model signal type	5.Signal ID	6.Flag0		7.Flag1		8.Flag2			9.Access Authority(R/W)
#DC
#DC Analogy
0	DC Voltage			NA			SP				2		0		10		NA			R
1	Total Load Current(High)	NA			SP				1		1000000		10		NA			R
2	Total Load Current(Low)		NA			SP				1		1000000		10		NA			R


[EXT_MAPENTRIES_INFO_MAP7]
#1.No.	2.Type Description		3.SCU+ StdEquipType ID	4.SCU+ model signal type	5.Signal ID	6.Flag0		7.Flag1		8.Flag2			9.Access Authority(R/W)
#AC
#AC Analogy
0	Main Voltage, Phase 1-2		NA			SP				4		0		10		NA			R
1	Main Voltage, Phase 2-3		NA			SP				5		0		10		NA			R
2	Main Voltage, Phase 1-3		NA			SP				6		0		10		NA			R
3	Voltage, Phase 1		NA			SP				1		0		10		NA			R
4	Voltage, Phase 2		NA			SP				2		0		10		NA			R
5	Voltage, Phase 3		NA			SP				3		0		10		NA			R
#AC Alarm
6	AC Alarm1			NA			A				0		0		0		2/3/4/-1/-1		R
7	AC Alarm2			NA			A				0		0		0		5/6/7/-1/-1		R
8	AC Alarm3			NA			A				0		0		0		8/9/10/-1/-1		R
9	AC Alarm4			NA			A				0		0		0		11/12/13/-1/-1		R
10	AC Alarm5			NA			A				0		0		0		26/14/15/-1/-1		R
11	AC Alarm6			NA			A				0		0		0		16/17/18/-1/-1		R
12	AC Alarm7			NA			A				0		0		0		19/20/21/-1/-1		R
13	AC Alarm8			NA			A				0		0		0		22/23/24/-1/-1		R
14	AC Alarm9			NA			A				0		0		0		25/-1/-1/-1/-1		R


[EXT_MAPENTRIES_INFO_MAP8]
#1.No.	2.Type Description		3.SCU+ StdEquipType ID	4.SCU+ model signal type	5.Signal ID	6.Flag0		7.Flag1		8.Flag2			9.Access Authority(R/W)
#SlaveX Rectifier
#SlaveX Rectifier Analogy
0	Rectifier Output Voltage	NA			SP				2		0		10		NA			R
1	Rectifier Output Current	NA			SP				7		0		10		NA			R
2	Rectifier Line VoltageAB	NA			SP				31		0		10		NA			R
3	Rectifier Line VoltageBC	NA			SP				32		0		10		NA			R
4	Rectifier Line VoltageCA	NA			SP				33		0		10		NA			R
5	Rectifier Input AC voltage	NA			SP				6		0		10		NA			R
#SlaveX Rectifier State & Alarm
6	Rectifier state and Alarm1	NA			A				1		0		0		3/1/4/-1/-1		R
7	Rectifier state and Alarm2	NA			A				1		0		0		2/7/9/-1/-1		R
8	Rectifier state and Alarm3	NA			A				1		0		0		12/6/-1/-1/-1		R

[EXT_MAPENTRIES_INFO_MAP9]
#1.No.	2.Type Description		3.SCU+ StdEquipType ID	4.SCU+ model signal type	5.Signal ID	6.Flag0		7.Flag1		8.Flag2			9.Access Authority(R/W)
#IB Board
0	DI1				NA			SP				70		0		1		NA			R
1	DI2				NA			SP				71		0		1		NA			R
2	DI3				NA			SP				72		0		1		NA			R
3	DI4				NA			SP				73		0		1		NA			R
4	DI5				NA			SP				74		0		1		NA			R
5	DI6				NA			SP				75		0		1		NA			R
6	DI7				NA			SP				76		0		1		NA			R
7	DI8				NA			SP				77		0		1		NA			R
8	DI9				NA			SP				191		0		1		NA			R
9	DI10				NA			SP				192		0		1		NA			R
10	DI11				NA			SP				193		0		1		NA			R
11	DI12				NA			SP				194		0		1		NA			R
12	DO1				NA			C				13		0		1		NA			W
13	DO2				NA			C				14		0		1		NA			W
14	DO3				NA			C				15		0		1		NA			W
15	DO4				NA			C				16		0		1		NA			W
16	DO5				NA			C				17		0		1		NA			W
17	DO6				NA			C				18		0		1		NA			W
18	DO7				NA			C				19		0		1		NA			W
19	DO8				NA			C				20		0		1		NA			W
20	DO14				NA			C				22		0		1		NA			W
21	DO15				NA			C				23		0		1		NA			W
22	DO16				NA			C				24		0		1		NA			W
23	DO17				NA			C				25		0		1		NA			W


[EXT_MAPENTRIES_INFO_MAP10]
#1.No.	2.Type Description		3.SCU+ StdEquipType ID	4.SCU+ model signal type	5.Signal ID	6.Flag0		7.Flag1		8.Flag2			9.Access Authority(R/W)
#Converter Group
#Inputs
0	Average Voltage			NA			SP				2		0		10		NA			R
1	Total Current			NA			SP				1		1000000		10		NA			R
2	Total Current			NA			SP				1		1000000		10		NA			R
3	Used Capacity			NA			SP				12		0		10		NA			R
4	Min Used Capacity		NA			SP				5		0		10		NA			R
5	Max Used Capacity		NA			SP				4		0		10		NA			R
6	Number of Converter		NA			SP				8		0		1		NA			R
#Alarms
7	Alarm1				NA			A				-1		0		0		2/3/5/-1/-1		R
8	Alarm2				NA			A				-1		0		0		19/22/-1/-1/-1		R
#Outputs
9	All DC On/Off Control		NA			C				3		0		1		NA			W
10	Reset lost alarm		NA			C				8		0		1		NA			W
11	Clear Converter Comm Fail	NA			C				14		0		1		NA			W
12	Clear All Converters Comm Fail	NA			C				15		0		1		NA			W
13	WALK-In enabled			NA			ST				8		0		1		NA			W
14	HVSD Enabled			NA			ST				28		0		1		NA			W
15	Default Output Volt(48V)	NA			ST				23		0		10		NA			W
16	Default Output Volt(24V)	NA			ST				29		0		10		NA			W
17	Over Voltage Pst(48V)		NA			ST				25		0		10		NA			W
18	Over Voltage Pst(24V)		NA			ST				31		0		10		NA			W


[EXT_MAPENTRIES_INFO_MAP11]
#1.No.	2.Type Description		3.SCU+ StdEquipType ID	4.SCU+ model signal type	5.Signal ID	6.Flag0		7.Flag1		8.Flag2			9.Access Authority(R/W)
#Converter
#Inputs
0	Output Voltage			NA			SP				1		0		10		NA			R
1	Actual Current			NA			SP				2		0		10		NA			R
2	Temperature			NA			SP				3		32000		10		NA			R
3	On/off status			NA			SP				15		0		1		NA			R
#Alarms
4	Alarm1				NA			A				-1		0		0		1/2/3/-1/-1		R
5	Alarm2				NA			A				-1		0		0		4/6/7/-1/-1		R
6	Alarm3				NA			A				-1		0		0		8/9/10/-1/-1		R
7	Alarm4				NA			A				-1		0		0		15/17/18/-1/-1		R
8	Alarm5				NA			A				-1		0		0		19/20/21/-1/-1		R
#Outputs
9	DC On/Off Control		NA			C				1		0		1		NA			W
10	Over Voltage Reset		NA			C				2		0		1		NA			W


[EXT_MAPENTRIES_INFO_MAP12]
#1.No.	2.Type Description		3.SCU+ StdEquipType ID	4.SCU+ model signal type	5.Signal ID	6.Flag0		7.Flag1		8.Flag2			9.Access Authority(R/W)
#Solar Converter Group
#Inputs
0	Average Voltage			NA			SP				2		0		10		NA			R
1	Total Current			NA			SP				1		1000000		10		NA			R
2	Total Current			NA			SP				1		1000000		10		NA			R
3	Used Capacity			NA			SP				3		0		10		NA			R
4	Min Used Capacity		NA			SP				5		0		10		NA			R
5	Max Used Capacity		NA			SP				4		0		10		NA			R
6	Number of Solar Converters	NA			SP				8		0		1		NA			R
#Alarms
7	Alarm1				NA			A				-1		0		0		2/3/5/-1/-1		R
#Outputs
8	All DC On/Off Control		NA			C				3		0		1		NA			W
9	Reset lost alarm		NA			C				8		0		1		NA			W
10	Clear Solars Comm Fail		NA			C				17		0		1		NA			W
11	WALK-In enabled			NA			ST				8		0		1		NA			W
12	Walk-in Time			NA			ST				7		0		1		NA			W


[EXT_MAPENTRIES_INFO_MAP13]
#1.No.	2.Type Description		3.SCU+ StdEquipType ID	4.SCU+ model signal type	5.Signal ID	6.Flag0		7.Flag1		8.Flag2			9.Access Authority(R/W)
#Solar Converter
#Inputs
0	Voltage				NA			SP				2		0		10		NA			R
1	Current				NA			SP				7		0		10		NA			R
2	Temperature			NA			SP				4		32000		10		NA			R
3	Used capacity			NA			SP				5		0		10		NA			R
4	Solar DC Status			NA			SP				1		0		1		NA			R
5	Solar Status			NA			SP				19		0		1		NA			R
6	Input Voltage			NA			SP				6		0		1		NA			R
7	Input Current			NA			SP				42		0		1		NA			R
8	Current limit point		NA			SP				17		0		1		NA			R
9	Total Running Time		NA			SP				9		1000000		1		NA			R
10	Total Running Time		NA			SP				9		1000000		1		NA			R
11	Fan full speed status		NA			SP				14		0		1		NA			R
#Alarms
12	Alarm1				NA			A				-1		0		0		1/2/3/-1/-1		R
13	Alarm2				NA			A				-1		0		0		4/5/6/-1/-1		R
14	Alarm3				NA			A				-1		0		0		7/9/12/-1/-1		R
15	Alarm4				NA			A				-1		0		0		13/14/15/-1/-1		R
#Outputs
16	DC On/Off Control		NA			C				1		0		1		NA			W
17	Solar Reset			NA			C				4		0		1		NA			W
[MAPENTRIES_INFO_FC02_MAP]
#EquipID/ EquiTypeID :  Usually Modbus use EquipId to get a alarm value by (EquipID,AlarmID),then map it to  modbus Address
#......if EquipID=0,then EquipTypeID works, all the alarms with the same(EquiTypeID,AlarmID) OR operation,then map it to modbus Address
# Address : one alarm can be mapped to more than one Address ,separate with ,   and support  Max 5 addresses  in a row , if you want map to more 
#.......addresses, just add a new row
# Reseved  keep this value to NA,you should better not change it
#Index	Signame			Reseved		Reserved		EquipID	EquipTypeID	AlarmID	Address
1		Undervoltage2 alarm	NA			NA			1		0		157		4/1
2		Overvoltage2 alarm	NA			NA			1		0		155		5/1
3		Multi-Rect Failure	NA			NA			2		0		2		2048/1
4		OBDC Fuse 5 		NA			NA			177		0		5		2051/1
5		OB Batt Fuse1 		NA			NA			159		0		1		2052/1
6		OB Batt Fuse2 		NA			NA			159		0		2		2052/1
7		OB Batt Fuse3 		NA			NA			159		0		3		2052/1
8		LVD2 Disconnected 	NA			NA			187		0		2		2053/1
9		OBDC Fuse1			NA			NA			177		0		1		2054/1
10		OBDC Fuse2  		NA			NA			177		0		2		2054/1
11		OBDC Fuse3		  	NA			NA			177		0		3		2054/1
12		OBDC Fuse4		  	NA			NA			177		0		4		2054/1
#13		CAN Comm Fail		NA			NA			2		0		2		2055/1
14		LVD1 Disconnected 	NA			NA			187		0		1		2056/1
15		Very High Batt Temp 	NA			NA			115		0		25		2060/1
#Nonurgent Alarm Table
16		NCU Internal Fault	NA			NA			1		0		1		6/2
17		Undervoltage1 alarm	NA			NA			1		0		156		8/2
18		Overvoltage1 alarm	NA			NA			1		0		154		9/2
19		High Load			NA			NA			1		0		16		12/2	
# All major alarms from any rectifier must go to 2049
20		Rectifier Lost		NA			NA			2		0		3		2049/2
21		Rectifier AC Fail		NA			NA			0		201		1		2049/2
22		Rect Overtemp		NA			NA			0		201		2		2049/2
23		Rectifier Failure		NA			NA			0		201		3		2049/2
24		Rectifier Overvoltage	NA			NA			0		201		4		2049/2
25		Rectifier Fan failure	NA			NA			0		201		6		2049/2
26		Rect Comm Failure	NA			NA			0		201		9		2049/2
27		AC Under Voltage		NA			NA			0		201		14		2049/2
##
28		Mains Failure			NA			NA			1		0		1000	2050/2
29		LVD Disabled 		NA			NA			187		0		5		2057/2
#Map the 4 High Load Operator Alarms from SMDUH1 AlarmID's 5,7,9,11 into Modbus Address 2058	
30	SMDUH1 Hi Load Oper1	NA			NA			1702	0		5		2058/2
31	SMDUH1 Hi Load Oper2	NA			NA			1702	0		7		2058/2
32	SMDUH1 Hi Load Oper3	NA			NA			1702	0		9		2058/2
33	SMDUH1 Hi Load Oper4	NA			NA			1702	0		11		2058/2
34	Batt Discharge			NA			NA			115		0		23		2059/2
35	EIB Batt Bad Block		NA			NA			197		0		2		2061/2
36	Batt Test Fail				NA			NA			115		0		24		7168/2
##
[MAPENTRIES_INFO_FC04_MAP]
#Input Registers  
#Port 	Signame			EquipID		SigType				SigID	Base	Factor		ByteNum
13828	Load1 Energy(byte4)	1702		SP				214		0		1000		4		
13829	Load1 Energy(byte3)	1702		SP				214		0		1000		4			
13830	Load1 Energy(byte2)	1702		SP				214		0		1000		4			
13831	Load1 Energy(byte1)	1702		SP				214		0		1000		4
13844	Load2 Energy(byte4)	1702		SP				215		0		1000		4		
13845	Load2 Energy(byte3)	1702		SP				215		0		1000		4			
13846	Load2 Energy(byte2)	1702		SP				215		0		1000		4			
13847	Load2 Energy(byte1)	1702		SP				215		0		1000		4
13860	Load3 Energy(byte4)	1702		SP				216		0		1000		4		
13861	Load3 Energy(byte3)	1702		SP				216		0		1000		4			
13862	Load3 Energy(byte2)	1702		SP				216		0		1000		4			
13863	Load3 Energy(byte1)	1702		SP				216		0		1000		4
13876	Load4 Energy(byte4)	1702		SP				217		0		1000		4		
13877	Load4 Energy(byte3)	1702		SP				217		0		1000		4			
13878	Load4 Energy(byte2)	1702		SP				217		0		1000		4			
13879	Load4 Energy(byte1)	1702		SP				217		0		1000		4			
13892	Load5 Energy(byte4)	1702		SP				218		0		1000		4		
13893	Load5 Energy(byte3)	1702		SP				218		0		1000		4			
13894	Load5 Energy(byte2)	1702		SP				218		0		1000		4			
13895	Load5 Energy(byte1)	1702		SP				218		0		1000		4
13908	Load6 Energy(byte4)	1702		SP				219		0		1000		4		
13909	Load6 Energy(byte3)	1702		SP				219		0		1000		4			
13910	Load6 Energy(byte2)	1702		SP				219		0		1000		4			
13911	Load6 Energy(byte1)	1702		SP				219		0		1000		4
# Load 1/2/3/4/5/6  Total Energy , SigID  220  configured in StdEquip_SMDUH1.cfg  
13314	Load Total Energy(byte4)	1702		SP				220		0		1000		4		
13315	Load Total Energy(byte3)	1702		SP				220		0		1000		4			
13316	Load Total Energy(byte2)	1702		SP				220		0		1000		4			
13317	Load Total Energy(byte1)	1702		SP				220		0		1000		4
21522	KWH_P_L1(High)	3501		SP				39		0		1000		2			
21523	KWH_P_L1(Low)	3501		SP				39		0		1000		2	
21524	KWH_P_L2(High)	3501		SP				40		0		1000		2			
21525	KWH_P_L2(Low)	3501		SP				40		0		1000		2		
21526	KWH_P_L3(High)	3501		SP				41		0		1000		2			
21527	KWH_P_L3(Low)	3501		SP				41		0		1000		2
21528	KWH_P_TOT(High)	3501		SP				35		0		1000		2			
21529	KWH_P_TOT(Low)	3501		SP				35		0		1000		2